Subject: bug#70422: closed (Re: [bug#70422] [PATCH 1/1] gnu: lynis: update to 3.1.1)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jan 2025 12:47:01 +0000

Your bug report

#70422: [PATCH 1/1] gnu: lynis: update to 3.1.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70422: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70422
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70422] [PATCH 1/1] gnu: lynis: update to 3.1.1
From: Janneke Nieuwenhuizen <[email-masked]>
To: nik gaffney <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jan 2025 13:45:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

nik gaffney writes:

Hello!

I've changed the commit message to be compliant

      ## Commit message ##
    -    gnu: lynis: update to 3.1.1
    +    gnu: lynis: update to 3.1.1.
    +
    +    * gnu/packages/admin.scm (lynis): Update to 3.1.1.
     
         Change-Id: I3d06c9ca6472da63eda0bf809c83d7fd521789ff
     
you may want to have a look at the "Contributing" section of the manual
and have a glance at previous commit messages for similar patches.

I've added your copyright

      ## gnu/packages/admin.scm ##
    +@@
    + ;;; Copyright © 2024 Ashish SHUKLA <[email-masked]>
    + ;;; Copyright © 2024 Ashvith Shetty <[email-masked]>
    + ;;; Copyright © 2025 Dariqq <[email-masked]>
    ++;;; Copyright © 2024 nik gaffney <[email-masked]>
    + ;;;
    + ;;; This file is part of GNU Guix.
    + ;;;

> Change-Id: I3d06c9ca6472da63eda0bf809c83d7fd521789ff
> ---
>  gnu/packages/admin.scm | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index b60857b264..59ce57ab2e 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -4740,16 +4740,16 @@ (define-public lynis
>    (package
>      (name "lynis")
>      ;; Also update the ‘lynis-sdk’ input to the commit matching this release.
> -    (version "3.0.9")
> +    (version "3.1.1")
>      (source
>       (origin
>         (method git-fetch)
>         (uri (git-reference
>               (url "https://github.com/CISOfy/lynis")
> -             (commit version)))
> +             (commit "60afce6d8110ee9e88ac9e9d0e0346b1cf222b5e")))

And also, I removed this change as it is unnecessary and it also
obfuscates the fact that we are in fact using version 3.1.1.

Thanks!  Pushed to master as dac917ebe43c00588992dae8b20bd4c9a824609d.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com

Subject: [PATCH 1/1] gnu: lynis: update to 3.1.1
From: nik gaffney <[email-masked]>
To: [email-masked]
Cc: nik gaffney <[email-masked]>
Date: Tue, 16 Apr 2024 14:47:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Change-Id: I3d06c9ca6472da63eda0bf809c83d7fd521789ff
---
 gnu/packages/admin.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index b60857b264..59ce57ab2e 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -4740,16 +4740,16 @@ (define-public lynis
   (package
     (name "lynis")
     ;; Also update the ‘lynis-sdk’ input to the commit matching this release.
-    (version "3.0.9")
+    (version "3.1.1")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/CISOfy/lynis")
-             (commit version)))
+             (commit "60afce6d8110ee9e88ac9e9d0e0346b1cf222b5e")))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1rgiifbzlk9lfjhbgxy6pqza5kxpr5rsr8vj9fcqvqihzdb5izj1"))
+        (base32 "05bh16i916xz9w8p8fz8flzj9ayyzg7wpbi7q61ylrlahhc03nqd"))
        (modules '((guix build utils)))
        (snippet
         '(begin
@@ -4765,10 +4765,10 @@ (define-public lynis
            (method git-fetch)
            (uri (git-reference
                  (url "https://github.com/CISOfy/lynis-sdk")
-                 (commit "92522b3ec39ad4cdef4756dc303d99741ec7fe20")))
+                 (commit "f4f885f1f049f59940487a6ffc2d53806c729d12")))
            (file-name (git-file-name "lynis-sdk" version))
            (sha256
-            (base32 "05qq4395x8f0kyl1ppm74npsf8sb3hhgz0ck4fya91sy6a26b4ja"))))))
+            (base32 "09d98wmvan7nlchm056kls5xm939d1231pwsvlp4q2aznz8cmg42"))))))
     (arguments
      (list
       #:phases

base-commit: 4d67912265aa921084040d633238ca30c7dc4199
-- 
2.41.0